.loader {
  display: block;
  position: relative;
  background-color: beige;
  width: 100px;
  height: 100px;
  border-radius: 50%;
}

.leaf {
  position: absolute;
  top: 50%;
  width: 20%;
  height: 20%;
  background-color: lightgreen;
}

.left {
  left: 45%;
  border-radius: 0 100%;
  animation: leafleft 4s infinite;
}

.right {
  right: 45%;
  border-radius: 100% 0;
  transform: rotate(35deg);
  animation: leafright 4s infinite;
}
/*
@keyframes leafleft {
  0% {
    transform: translateX(50px) rotate(-25deg);
  }

  25% {
    transform: translateX(-50px) rotate(-45deg) translateY(300px);
  }

  50% {
    transform: translateX(50px) rotate(-25deg);
  }

  75% {
    transform: translateX(-50px) rotate(-45deg);
  }
}*/

@keyframes leafleft {
  0% {
    transform: translate(150%, 50%) rotate(-35deg);
  }
  50% {
    transform: translate(-150%, 50%) rotate(-65deg);
  }
  100% {
    transform: translate(150%, 50%) rotate(-35deg);
  }
}

@keyframes leafright {
  0% {
    transform: translate(-150%, -50%) rotate(35deg);
  }
  50% {
    transform: translate(150%, -50%) rotate(65deg);
  }
  100% {
    transform: translate(-150%, -50%) rotate(35deg);
  }
}
